summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
Diffstat (limited to 'network')
-rw-r--r--network/cryptcat-unix/cryptcat-unix.SlackBuild11
-rw-r--r--network/cryptcat-unix/cryptcat-unix.info4
2 files changed, 11 insertions, 4 deletions
diff --git a/network/cryptcat-unix/cryptcat-unix.SlackBuild b/network/cryptcat-unix/cryptcat-unix.SlackBuild
index c44f53ce4d..881d051194 100644
--- a/network/cryptcat-unix/cryptcat-unix.SlackBuild
+++ b/network/cryptcat-unix/cryptcat-unix.SlackBuild
@@ -23,10 +23,13 @@ DOC="Changelog Credits README.cryptcat README netcat.blurb"
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -61,9 +64,11 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : |
+ xargs strip --strip-unneeded 2> /dev/null
)
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/cryptcat-unix/cryptcat-unix.info b/network/cryptcat-unix/cryptcat-unix.info
index ebb4762b9b..ac97681157 100644
--- a/network/cryptcat-unix/cryptcat-unix.info
+++ b/network/cryptcat-unix/cryptcat-unix.info
@@ -2,7 +2,9 @@ PRGNAM="cryptcat-unix"
VERSION="1.2.1"
HOMEPAGE="http://www.sourceforge.net/projects/cryptcat"
DOWNLOAD="http://downloads.sourceforge.net/cryptcat/cryptcat-unix-1.2.1.tar"
+DOWNLOAD_x86_64=""
MD5SUM="fc4afff350f3dd5e4fe51b0dd01a8e21"
+MD5SUM_x86_64=""
MAINTAINER="Jeanne-Kamikaze"
EMAIL="jeannekamikaze@gmail.com"
-APPROVED="David Somero" \ No newline at end of file
+APPROVED="dsomero" \ No newline at end of file